%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name: python-irclib
Version: 0.4.5
Release: 1%{?dist}
Summary: A set of Python modules for IRC support

Group: Development/Libraries
License: LGPL
URL: http://python-irclib.sourceforge.net
Source0: http://dl.sf.net/%{name}/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: python
BuildArch: noarch

%description
This library is intended to encapsulate the IRC protocol at a quite
low level.  It provides an event-driven IRC client framework.  It has
a fairly thorough support for the basic IRC protocol, CTCP and DCC
connections.

%prep
%setup -q
%{__sed} -i 's/\r//g' *

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --root $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README ChangeLog COPYING irccat irccat2 servermap testbot.py dccsend dccreceive
%{python_sitelib}/*.py*

%changelog
* Wed Jun 22 2005 Luke Macken <lmacken@redhat.com> 0.4.5-1
- Packaged for Fedora Extras
